#ifndef RESOURCE_H
#define RESOURCE_H

#define IDC_BUTTON3	504
#define IDC_BUTTON2	503
#define IDC_BUTTON1	502
#define IDC_SYSLISTVIEW1	501

#define IDC_SYSTABCONTROL1	502

#define DIALOG_GENERAL  201
#define DIALOG_FILTERS  202
#define DIALOG_DEBUG0   203
#define DIALOG_DEBUG1   204
#define DIALOG_PROXY    205
#define DIALOG_ADVANCED 206
#define DIALOG_ANON     207

#define ICON_LARGE       301
#define ICON_SMALL       302
#define ICON_TRANS_LARGE 303
#define ICON_TRANS_SMALL 304
#define ICON_GENERAL     305
#define ICON_FILTERS     306
#define ICON_DEBUG       307
#define ICON_ANON	       308
#define ICON_BUSY	       309
#define ICON_STALL       310
#define ICON_ADVANCED    311

#define IDAPPLY	                     101

#define ID_CB_ENABLED	               102
#define ID_T_PORT                      137
#define ID_EB_PORT                     138
#define ID_CB_START_ENABLED            136

#define ID_CB_PROXY	                  103
   #define ID_T_PROXY_HOST	            104
   #define ID_EB_PROXY_HOST	         105
   #define ID_T_PROXY_PORT	            106
   #define ID_EB_PROXY_PORT	         107

#define ID_CB_TUNNEL                   117
   #define ID_T_TUNNEL_HOST	         121
   #define ID_EB_TUNNEL_HOST        	119
   #define ID_T_TUNNEL_PORT	         122
   #define ID_EB_TUNNEL_PORT	         120

#define ID_CB_ANON                     170
#define ID_CB_ANON_USER_AGENT          180
#define ID_CB_ANON_UA                  181
#define ID_CB_ANON_REFERER             182
#define ID_CB_ANON_FROM                183

#define ID_RB_VIA_GENUINE              171
#define ID_RB_VIA_OVERRIDE             172
#define ID_EB_VIA                      174
#define ID_RB_VIA_NONE                 173

#define ID_CB_NOCACHE                  175
#define ID_CB_GOPHER                   176

#define ID_CB_LOCAL                    177
#define ID_EB_LOCAL                    178

#define ID_T_FILTERS	                  108
#define ID_LB_FILTERS	               109

#define ID_B_NEW	                     110
#define ID_B_DELETE	                  111
#define ID_B_COPY	                     112

#define ID_B_SAVE                      139
#define ID_B_LOAD                      140

#define ID_CB_USEFILE                  179

#define ID_GB_DETAILS	               113
   #define ID_T_HOST	                  114
      #define ID_EB_FILTER_NAME	      118

   #define ID_T_PATH	                  127
      #define ID_RB_EXACT	            128
         #define ID_T_HTTP_EXACT	      130
         #define ID_EB_PATH_EXACT	   131
      #define ID_RB_PARTIAL	         129
         #define ID_T_HTTP_PARTIAL	   132
         #define ID_EB_PATH_START	   133
            #define ID_T_HTTP_DOTS	   134
         #define ID_EB_PATH_END	      135

#define IDM_PROPERTIES 401
#define IDM_ENABLE     402
#define IDM_CLOSE      403
#define IDM_ABOUT      404

#define IDM_WHATS_THIS 405

#define IDM_HELP       406


#define ID_RB_CM_0_0       141
#define ID_RB_CM_0_1       142
#define ID_RB_CM_0_2       143
#define ID_RB_CM_0_3       144
#define ID_CB_CM_2         145
#define ID_CB_CM_3         146
#define ID_CB_CM_4         147
#define ID_RB_CM_5_0       148
#define ID_RB_CM_5_1       149
#define ID_RB_CM_5_2       150
#define ID_RB_CM_5_3       151
#define ID_CB_CM_7         152
#define ID_RB_CM_8_0       153
#define ID_RB_CM_8_1       154
#define ID_RB_CM_8_2       155
#define ID_RB_CM_8_3       156
#define ID_CB_CM_A         157
#define ID_RB_CM_B_0       158
#define ID_RB_CM_B_1       159
#define ID_RB_CM_B_2       160
#define ID_RB_CM_B_3       161
#define ID_CB_CM_D         162
#define ID_CB_CM_E         163
#define ID_CB_CM_F         164
#define ID_CB_CM_10        165
#define ID_CB_CM_11        166
#define ID_CB_CM_12        167
#define ID_CB_CM_13        168

#define ID_CB_AUTORETRY    169

#endif
