#ifndef DIALOG_H
#define DIALOG_H

#include "Resource.h"

extern HWND hPropWnd;

class DialogPage{
public:
   struct HelpTopics{
      DWORD id;
      char*name;
   };
private:
   static DialogPage*first;
   static DWORD n;
   static DWORD lastNum;
   DWORD myNum;
   DialogPage*next;

   HWND helpItem;
   int helpX,helpY;
   void LoadHelp(HWND,int id);
   void LoadHelp(HWND hwnd,HWND idWnd,int x,int y);
   char*helpDir;
   char*helpPage;
protected:
   HelpTopics*helpIds;
   WORD dialog;
   WORD icon;
   unsigned int nHelpIds;
   virtual int notify(HWND hwnd,int idFrom,LPNMHDR pnmhdr);
   virtual void help(HWND hwnd,HELPINFO*lphi);
   virtual void contextMenu(HWND hwnd,HWND hItemHandle,int x,int y);

   virtual void save(){}
   virtual void load(){}
   virtual void enable(HWND){}
   DialogPage(WORD dialog,WORD icon=NULL,
      HelpTopics*helpIds=NULL,unsigned int nHelpIds=0,
      char*helpDir="properties",char*helpPage="properties.html");
   virtual void command(HWND hwnd,int id,HWND hwndCtl,UINT notify);
   virtual int apply(HWND hwnd,int,LPNMHDR pnmhdr){return(0);}

public:
   static HINSTANCE LoadPage(char*name);

   virtual BOOL dialogProc(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam);

   virtual BOOL init(HWND,HWND,LPARAM){return(TRUE);}
   virtual void exit(){}

   static void Save();
   static void Load();
   static void Properties(HWND);
};

void Properties(HWND hwnd);
//void PropEnable();
//void PrefSave();
void PrefLoad();

#endif
